# Knowledge Boxes

The `/knowledge` API is designed to support Retrieval-Augmented Generation (RAG) across various knowledge bases. Want to read more about how Brian RAG works? Read this [article](https://medium.com/@BrianknowsAI/askbrian-rag-42d17fd91148).

If not specified, the KB used is the default one called `public-knowledge-box`.\
\
The public knowledge base has a good overview of the entire Web3 space, especially for the EVM ecosystem. We can, at any time, add new articles, videos or documentation of new protocols and blockchains.

## Available KBs

Other available KBs are:

* circle\_kb
* lido\_kb
* Polygon\_kb
* taiko\_kb
* near\_kb
* clave\_kb
* starknet\_kb
* consensys\_kb

## Create your KB

{% hint style="info" %}
Right now don't hesitate to get in touch with us ([info@brianknows.org](mail:info@brianknows.org) or [Brian on X](https://x.com/BrianknowsAI)) to create your knowledge box. We are working on a web app to facilitate the creation and management of KBs!
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.brianknows.org/brian-api/apis/knowledge/knowledge-boxes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
